import 'package:krow_core/core.dart';
import 'package:krow_domain/krow_domain.dart';
import '../repositories/shifts_repository_interface.dart';

class GetShiftDetailsUseCase extends UseCase<String, Shift?> {
  final ShiftsRepositoryInterface repository;

  GetShiftDetailsUseCase(this.repository);

  @override
  Future<Shift?> call(String params) {
    return repository.getShiftDetails(params);
  }
}
